_adc_inter:
;fft_sin.c,19 :: 		void adc_inter() iv IVT_INT_ADC1_2 // adc interrupt after EOC
SUB	SP, SP, #12
STR	LR, [SP, #0]
;fft_sin.c,21 :: 		ADC1_SRbits.EOC=0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(ADC1_SRbits+0)
MOVT	R0, #hi_addr(ADC1_SRbits+0)
STR	R1, [R0, #0]
;fft_sin.c,23 :: 		if(data_send_time==0)// change buffer only if it is not used
MOVW	R0, #lo_addr(_data_send_time+0)
MOVT	R0, #hi_addr(_data_send_time+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_adc_inter0
;fft_sin.c,25 :: 		led=0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOC_ODR+0)
MOVT	R0, #hi_addr(GPIOC_ODR+0)
STR	R1, [R0, #0]
;fft_sin.c,26 :: 		if(num<BUF_DEPTH)// collect buffer
MOVW	R0, #lo_addr(_num+0)
MOVT	R0, #hi_addr(_num+0)
LDRH	R0, [R0, #0]
CMP	R0, #1024
IT	CS
BCS	L_adc_inter1
;fft_sin.c,28 :: 		realNumbers_float[num]=ADC1_DRbits.DATA;
MOVW	R0, #lo_addr(_num+0)
MOVT	R0, #hi_addr(_num+0)
STR	R0, [SP, #8]
LDRH	R0, [R0, #0]
LSLS	R1, R0, #2
MOVW	R0, #lo_addr(_realNumbers_float+0)
MOVT	R0, #hi_addr(_realNumbers_float+0)
ADDS	R0, R0, R1
STR	R0, [SP, #4]
MOVW	R0, #lo_addr(ADC1_DRbits+0)
MOVT	R0, #hi_addr(ADC1_DRbits+0)
LDRH	R0, [R0, #0]
UBFX	R0, R0, #0, #16
BL	__UnsignedIntegralToFloat+0
LDR	R1, [SP, #4]
STR	R0, [R1, #0]
;fft_sin.c,29 :: 		imaginaryNumbers_float[num]=0;// we only have real numbers from ADC
LDR	R2, [SP, #8]
MOV	R0, R2
LDRH	R0, [R0, #0]
LSLS	R1, R0, #2
MOVW	R0, #lo_addr(_imaginaryNumbers_float+0)
MOVT	R0, #hi_addr(_imaginaryNumbers_float+0)
ADDS	R1, R0, R1
MOV	R0, #0
STR	R0, [R1, #0]
;fft_sin.c,30 :: 		num++;
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R0, R0, #1
STRH	R0, [R2, #0]
;fft_sin.c,31 :: 		}
IT	AL
BAL	L_adc_inter2
L_adc_inter1:
;fft_sin.c,34 :: 		num=0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_num+0)
MOVT	R0, #hi_addr(_num+0)
STRH	R1, [R0, #0]
;fft_sin.c,35 :: 		data_send_time=1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_data_send_time+0)
MOVT	R0, #hi_addr(_data_send_time+0)
STRB	R1, [R0, #0]
;fft_sin.c,36 :: 		}
L_adc_inter2:
;fft_sin.c,37 :: 		led=1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOC_ODR+0)
MOVT	R0, #hi_addr(GPIOC_ODR+0)
STR	R1, [R0, #0]
;fft_sin.c,38 :: 		}
L_adc_inter0:
;fft_sin.c,39 :: 		}
L_end_adc_inter:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _adc_inter
_timer_3_init:
;fft_sin.c,41 :: 		void timer_3_init()// 1000Hz
;fft_sin.c,43 :: 		RCC_APB1ENR.TIM3EN = 1;       // Enable clock gating for timer module
MOVS	R3, #1
SXTB	R3, R3
MOVW	R0, #lo_addr(RCC_APB1ENR+0)
MOVT	R0, #hi_addr(RCC_APB1ENR+0)
STR	R3, [R0, #0]
;fft_sin.c,44 :: 		TIM3_CR1.CEN = 0;             // Disable timer
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(TIM3_CR1+0)
MOVT	R0, #hi_addr(TIM3_CR1+0)
STR	R1, [R0, #0]
;fft_sin.c,45 :: 		TIM3_PSC = 7030;              // You might need to trim timer's prescaler for more accuracy(i trimmed it here from 7200 to 7030 and reduce measurement error of 3%)
MOVW	R1, #7030
MOVW	R0, #lo_addr(TIM3_PSC+0)
MOVT	R0, #hi_addr(TIM3_PSC+0)
STR	R1, [R0, #0]
;fft_sin.c,46 :: 		TIM3_ARR = 9;                //
MOVS	R1, #9
MOVW	R0, #lo_addr(TIM3_ARR+0)
MOVT	R0, #hi_addr(TIM3_ARR+0)
STR	R1, [R0, #0]
;fft_sin.c,47 :: 		TIM3_CR2bits.MMS=2;           // The update event is selected as trigger output (TRGO)
MOVS	R2, #2
MOVW	R1, #lo_addr(TIM3_CR2bits+0)
MOVT	R1, #hi_addr(TIM3_CR2bits+0)
LDRB	R0, [R1, #0]
BFI	R0, R2, #4, #3
STRB	R0, [R1, #0]
;fft_sin.c,48 :: 		TIM3_CR1.CEN = 1;             // Enable timer
MOVW	R0, #lo_addr(TIM3_CR1+0)
MOVT	R0, #hi_addr(TIM3_CR1+0)
STR	R3, [R0, #0]
;fft_sin.c,49 :: 		}
L_end_timer_3_init:
BX	LR
; end of _timer_3_init
_ADC_init:
;fft_sin.c,51 :: 		void ADC_init(void)
SUB	SP, SP, #4
STR	LR, [SP, #0]
;fft_sin.c,53 :: 		GPIO_Analog_Input(&GPIOA_BASE, _GPIO_PINMASK_0);// channel 0
MOVW	R1, #1
MOVW	R0, #lo_addr(GPIOA_BASE+0)
MOVT	R0, #hi_addr(GPIOA_BASE+0)
BL	_GPIO_Analog_Input+0
;fft_sin.c,55 :: 		RCC_APB2ENRbits.ADC1EN=1;       //enable clock on ADC1
MOVS	R3, #1
SXTB	R3, R3
MOVW	R0, #lo_addr(RCC_APB2ENRbits+0)
MOVT	R0, #hi_addr(RCC_APB2ENRbits+0)
STR	R3, [R0, #0]
;fft_sin.c,56 :: 		ADC1_CR2bits.EXTSEL=4;          //Timer 3 TRGO event
MOVS	R2, #4
MOVW	R1, #lo_addr(ADC1_CR2bits+0)
MOVT	R1, #hi_addr(ADC1_CR2bits+0)
LDR	R0, [R1, #0]
BFI	R0, R2, #17, #3
STR	R0, [R1, #0]
;fft_sin.c,57 :: 		ADC1_CR2bits.EXTTRIG=1;         //External trigger for ADC on
MOVW	R0, #lo_addr(ADC1_CR2bits+0)
MOVT	R0, #hi_addr(ADC1_CR2bits+0)
STR	R3, [R0, #0]
;fft_sin.c,58 :: 		ADC1_SMPR2bits.SMP0=1;          //Sample time 7.5 cycles
MOVS	R2, #1
MOVW	R1, #lo_addr(ADC1_SMPR2bits+0)
MOVT	R1, #hi_addr(ADC1_SMPR2bits+0)
LDRB	R0, [R1, #0]
BFI	R0, R2, #0, #3
STRB	R0, [R1, #0]
;fft_sin.c,59 :: 		ADC1_CR1bits.EOCIE=1;           //Interrupt enable for EOC
MOVW	R0, #lo_addr(ADC1_CR1bits+0)
MOVT	R0, #hi_addr(ADC1_CR1bits+0)
STR	R3, [R0, #0]
;fft_sin.c,60 :: 		ADC1_CR2bits.ADON=1;            //ADC enable
MOVW	R0, #lo_addr(ADC1_CR2bits+0)
MOVT	R0, #hi_addr(ADC1_CR2bits+0)
STR	R3, [R0, #0]
;fft_sin.c,61 :: 		NVIC_IntEnable(IVT_INT_ADC1_2); //Interrupt enable for ADC1_2
MOVW	R0, #34
BL	_NVIC_IntEnable+0
;fft_sin.c,62 :: 		}
L_end_ADC_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _ADC_init
_init_TIM4:
;fft_sin.c,67 :: 		void init_TIM4()// init timer for PWM by table
;fft_sin.c,69 :: 		RCC_APB1ENRbits.TIM4EN=1;      //enable clock on timer 4
MOVS	R3, #1
SXTB	R3, R3
MOVW	R0, #lo_addr(RCC_APB1ENRbits+0)
MOVT	R0, #hi_addr(RCC_APB1ENRbits+0)
STR	R3, [R0, #0]
;fft_sin.c,70 :: 		TIM4_CCERbits.CC3E=1;          //CC4 channel configured as output
MOVW	R0, #lo_addr(TIM4_CCERbits+0)
MOVT	R0, #hi_addr(TIM4_CCERbits+0)
STR	R3, [R0, #0]
;fft_sin.c,71 :: 		TIM4_CCMR2_Outputbits.OC3M=6;  //Output compare 3 mode (PWM)
MOVS	R2, #6
MOVW	R1, #lo_addr(TIM4_CCMR2_Outputbits+0)
MOVT	R1, #hi_addr(TIM4_CCMR2_Outputbits+0)
LDRB	R0, [R1, #0]
BFI	R0, R2, #4, #3
STRB	R0, [R1, #0]
;fft_sin.c,72 :: 		TIM4_CCMR2_Outputbits.OC3PE=1; //Output compare 3 preload enable
MOVW	R0, #lo_addr(TIM4_CCMR2_Outputbits+0)
MOVT	R0, #hi_addr(TIM4_CCMR2_Outputbits+0)
STR	R3, [R0, #0]
;fft_sin.c,73 :: 		TIM4_DIERbits.CC3DE=1;         //Capture/Compare 3 DMA request enable
MOVW	R0, #lo_addr(TIM4_DIERbits+0)
MOVT	R0, #hi_addr(TIM4_DIERbits+0)
STR	R3, [R0, #0]
;fft_sin.c,74 :: 		TIM4_CR1bits.CEN=1;            //Counter enable
MOVW	R0, #lo_addr(TIM4_CR1bits+0)
MOVT	R0, #hi_addr(TIM4_CR1bits+0)
STR	R3, [R0, #0]
;fft_sin.c,75 :: 		TIM4_CR1bits.ARPE=1;           //Auto-reload preload enable
MOVW	R0, #lo_addr(TIM4_CR1bits+0)
MOVT	R0, #hi_addr(TIM4_CR1bits+0)
STR	R3, [R0, #0]
;fft_sin.c,76 :: 		TIM4_PSC=5;                   //Prescaler value
MOVS	R1, #5
MOVW	R0, #lo_addr(TIM4_PSC+0)
MOVT	R0, #hi_addr(TIM4_PSC+0)
STR	R1, [R0, #0]
;fft_sin.c,77 :: 		TIM4_ARR=999;                 //max count
MOVW	R1, #999
MOVW	R0, #lo_addr(TIM4_ARR+0)
MOVT	R0, #hi_addr(TIM4_ARR+0)
STR	R1, [R0, #0]
;fft_sin.c,78 :: 		TIM4_CCR3=500;                //CCR3 is the value to be loaded in the actual capture/compare 3 register (preload value).
MOVW	R1, #500
MOVW	R0, #lo_addr(TIM4_CCR3+0)
MOVT	R0, #hi_addr(TIM4_CCR3+0)
STR	R1, [R0, #0]
;fft_sin.c,79 :: 		}
L_end_init_TIM4:
BX	LR
; end of _init_TIM4
_init_DMA:
;fft_sin.c,81 :: 		void init_DMA()// init sending data from table to timer without CPU  5ch
;fft_sin.c,83 :: 		RCC_AHBENRbits.DMA1EN=1; //DMA1 clock enable
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(RCC_AHBENRbits+0)
MOVT	R0, #hi_addr(RCC_AHBENRbits+0)
STR	R1, [R0, #0]
;fft_sin.c,84 :: 		DMA1_CPAR5=&TIM4_CCR3;   //DMA1 channel 5 peripheral address register(set address of TIM4_CCR3)
MOVW	R1, #lo_addr(TIM4_CCR3+0)
MOVT	R1, #hi_addr(TIM4_CCR3+0)
MOVW	R0, #lo_addr(DMA1_CPAR5+0)
MOVT	R0, #hi_addr(DMA1_CPAR5+0)
STR	R1, [R0, #0]
;fft_sin.c,85 :: 		DMA1_CMAR5=&sinTable;    //DMA1 channel x memory address register(set table address)
MOVW	R1, #lo_addr(_sinTable+0)
MOVT	R1, #hi_addr(_sinTable+0)
MOVW	R0, #lo_addr(DMA1_CMAR5+0)
MOVT	R0, #hi_addr(DMA1_CMAR5+0)
STR	R1, [R0, #0]
;fft_sin.c,86 :: 		DMA1_CNDTR5=SIN_STEPS;   //DMA channel x number of data register
MOVS	R1, #120
MOVW	R0, #lo_addr(DMA1_CNDTR5+0)
MOVT	R0, #hi_addr(DMA1_CNDTR5+0)
STR	R1, [R0, #0]
;fft_sin.c,87 :: 		DMA1_CCR5=0x000005B1;    //EN=1(Channel enable),DIR=1(Data transfer direction:Read from memory),CIRC=1(Circular mode enabled),MINC=1(Memory increment mode enabled),PSIZE=MSIZE=01(16-bits)
MOVW	R1, #1457
MOVW	R0, #lo_addr(DMA1_CCR5+0)
MOVT	R0, #hi_addr(DMA1_CCR5+0)
STR	R1, [R0, #0]
;fft_sin.c,88 :: 		}
L_end_init_DMA:
BX	LR
; end of _init_DMA
_init_GPIO:
;fft_sin.c,90 :: 		void init_GPIO()// init gpio to work with timer
;fft_sin.c,92 :: 		RCC_APB2ENRbits.IOPBEN=1; //IO port B clock enable
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(RCC_APB2ENRbits+0)
MOVT	R0, #hi_addr(RCC_APB2ENRbits+0)
STR	R1, [R0, #0]
;fft_sin.c,93 :: 		RCC_APB2ENRbits.AFIOEN=1; //Alternate function IO clock enable
MOVW	R0, #lo_addr(RCC_APB2ENRbits+0)
MOVT	R0, #hi_addr(RCC_APB2ENRbits+0)
STR	R1, [R0, #0]
;fft_sin.c,94 :: 		GPIOB_CRHbits.MODE8=1;    //10: Alternate function output Push-pull
MOVS	R2, #1
MOVW	R1, #lo_addr(GPIOB_CRHbits+0)
MOVT	R1, #hi_addr(GPIOB_CRHbits+0)
LDRB	R0, [R1, #0]
BFI	R0, R2, #0, #2
STRB	R0, [R1, #0]
;fft_sin.c,95 :: 		GPIOB_CRHbits.CNF8=2;     //Output mode, max speed 2 MHz
MOVS	R2, #2
MOVW	R1, #lo_addr(GPIOB_CRHbits+0)
MOVT	R1, #hi_addr(GPIOB_CRHbits+0)
LDRB	R0, [R1, #0]
BFI	R0, R2, #2, #2
STRB	R0, [R1, #0]
;fft_sin.c,96 :: 		}
L_end_init_GPIO:
BX	LR
; end of _init_GPIO
_init_PWM_sin:
;fft_sin.c,98 :: 		void init_PWM_sin()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;fft_sin.c,100 :: 		init_GPIO();// init gpio to work with timer
BL	_init_GPIO+0
;fft_sin.c,101 :: 		init_TIM4();// init timer for PWM by table
BL	_init_TIM4+0
;fft_sin.c,102 :: 		init_DMA(); // init sending data from table to timer without CPU  5ch
BL	_init_DMA+0
;fft_sin.c,103 :: 		}
L_end_init_PWM_sin:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _init_PWM_sin
_init_peripherals:
;fft_sin.c,105 :: 		void init_peripherals(void)
SUB	SP, SP, #4
STR	LR, [SP, #0]
;fft_sin.c,107 :: 		GPIO_Digital_Output(&GPIOC_BASE, _GPIO_PINMASK_13); //led
MOVW	R1, #8192
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Digital_Output+0
;fft_sin.c,108 :: 		GPIOC_ODR.B13=1;//off
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOC_ODR+0)
MOVT	R0, #hi_addr(GPIOC_ODR+0)
STR	R1, [R0, #0]
;fft_sin.c,110 :: 		ADC_init();
BL	_ADC_init+0
;fft_sin.c,111 :: 		timer_3_init();
BL	_timer_3_init+0
;fft_sin.c,113 :: 		init_PWM_sin();
BL	_init_PWM_sin+0
;fft_sin.c,115 :: 		UART1_Init(115200);
MOV	R0, #115200
BL	_UART1_Init+0
;fft_sin.c,116 :: 		}
L_end_init_peripherals:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _init_peripherals
_adc_buf_send:
;fft_sin.c,118 :: 		void adc_buf_send()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;fft_sin.c,120 :: 		unsigned int i=0;
;fft_sin.c,121 :: 		int tempi=0;
;fft_sin.c,122 :: 		char temp=0;
;fft_sin.c,124 :: 		for(i=0;i<BUF_DEPTH/2;i++)   // put data byte after byte
; i start address is: 16 (R4)
MOVS	R4, #0
; i end address is: 16 (R4)
L_adc_buf_send3:
; i start address is: 16 (R4)
CMP	R4, #512
IT	CS
BCS	L_adc_buf_send4
;fft_sin.c,126 :: 		tempi=realNumbers_float[i];
LSLS	R1, R4, #2
MOVW	R0, #lo_addr(_realNumbers_float+0)
MOVT	R0, #hi_addr(_realNumbers_float+0)
ADDS	R0, R0, R1
LDR	R0, [R0, #0]
BL	__FloatToSignedIntegral+0
SXTH	R0, R0
; tempi start address is: 20 (R5)
SXTH	R5, R0
;fft_sin.c,127 :: 		temp=tempi>>8;
ASRS	R0, R0, #8
;fft_sin.c,128 :: 		UART1_Write(temp);
UXTB	R0, R0
BL	_UART1_Write+0
;fft_sin.c,129 :: 		temp=tempi&0x00FF;
AND	R0, R5, #255
; tempi end address is: 20 (R5)
;fft_sin.c,130 :: 		UART1_Write(temp);
UXTB	R0, R0
BL	_UART1_Write+0
;fft_sin.c,124 :: 		for(i=0;i<BUF_DEPTH/2;i++)   // put data byte after byte
ADDS	R4, R4, #1
UXTH	R4, R4
;fft_sin.c,132 :: 		}
; i end address is: 16 (R4)
IT	AL
BAL	L_adc_buf_send3
L_adc_buf_send4:
;fft_sin.c,134 :: 		}
L_end_adc_buf_send:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _adc_buf_send
_from_adc_to_milivolts:
;fft_sin.c,136 :: 		void from_adc_to_milivolts(void)
SUB	SP, SP, #8
STR	LR, [SP, #0]
;fft_sin.c,138 :: 		unsigned int i=0;
;fft_sin.c,139 :: 		unsigned long temp=0;
;fft_sin.c,140 :: 		for(i=0;i<BUF_DEPTH;i++)   //
; i start address is: 12 (R3)
MOVS	R3, #0
; i end address is: 12 (R3)
L_from_adc_to_milivolts6:
; i start address is: 12 (R3)
CMP	R3, #1024
IT	CS
BCS	L_from_adc_to_milivolts7
;fft_sin.c,142 :: 		temp=realNumbers_float[i];
LSLS	R1, R3, #2
MOVW	R0, #lo_addr(_realNumbers_float+0)
MOVT	R0, #hi_addr(_realNumbers_float+0)
ADDS	R0, R0, R1
STR	R0, [SP, #4]
LDR	R0, [R0, #0]
BL	__FloatToUnsignedIntegral+0
;fft_sin.c,143 :: 		temp=temp*3335;//vcc in milivolts
MOVW	R1, #3335
MULS	R1, R0, R1
;fft_sin.c,144 :: 		temp=temp/4095;
MOVW	R0, #4095
UDIV	R1, R1, R0
;fft_sin.c,145 :: 		realNumbers_float[i]=temp;
LDR	R0, [SP, #4]
STR	R0, [SP, #4]
MOV	R0, R1
BL	__UnsignedIntegralToFloat+0
LDR	R1, [SP, #4]
STR	R0, [R1, #0]
;fft_sin.c,140 :: 		for(i=0;i<BUF_DEPTH;i++)   //
ADDS	R3, R3, #1
UXTH	R3, R3
;fft_sin.c,146 :: 		}
; i end address is: 12 (R3)
IT	AL
BAL	L_from_adc_to_milivolts6
L_from_adc_to_milivolts7:
;fft_sin.c,147 :: 		}
L_end_from_adc_to_milivolts:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _from_adc_to_milivolts
_module_bufer:
;fft_sin.c,149 :: 		void module_bufer(void)// calculate module of complex fft numbers
SUB	SP, SP, #32
STR	LR, [SP, #0]
;fft_sin.c,151 :: 		int k=0;
;fft_sin.c,152 :: 		double max=0;
MOV	R0, #0
STR	R0, [SP, #4]
;fft_sin.c,154 :: 		for(k=0;k<BUF_DEPTH/2;k++)//only 1/2 of buffer will be usable, other half just mirrored
; k start address is: 48 (R12)
MOVW	R12, #0
SXTH	R12, R12
; k end address is: 48 (R12)
L_module_bufer9:
; k start address is: 48 (R12)
CMP	R12, #512
IT	GE
BGE	L_module_bufer10
;fft_sin.c,156 :: 		realNumbers_float[k]=sqrt(realNumbers_float[k]*realNumbers_float[k]+imaginaryNumbers_float[k]*imaginaryNumbers_float[k]);
LSL	R1, R12, #2
STR	R1, [SP, #28]
MOVW	R0, #lo_addr(_realNumbers_float+0)
MOVT	R0, #hi_addr(_realNumbers_float+0)
ADDS	R0, R0, R1
STR	R0, [SP, #24]
LDR	R0, [R0, #0]
MOV	R2, R0
BL	__Mul_FP+0
STR	R0, [SP, #20]
MOVW	R1, #lo_addr(_imaginaryNumbers_float+0)
MOVT	R1, #hi_addr(_imaginaryNumbers_float+0)
LDR	R0, [SP, #28]
ADDS	R0, R1, R0
LDR	R0, [R0, #0]
MOV	R2, R0
BL	__Mul_FP+0
LDR	R2, [SP, #20]
BL	__Add_FP+0
BL	_sqrt+0
LDR	R1, [SP, #24]
STR	R0, [R1, #0]
;fft_sin.c,157 :: 		if(max<realNumbers_float[k])max=realNumbers_float[k];// find max module for dB transfer(if you want to most big harmonic will be base for others, 0dB)
LSL	R1, R12, #2
MOVW	R0, #lo_addr(_realNumbers_float+0)
MOVT	R0, #hi_addr(_realNumbers_float+0)
ADDS	R0, R0, R1
LDR	R2, [R0, #0]
LDR	R0, [SP, #4]
BL	__Compare_FP+0
MOVW	R0, #0
BGE	L__module_bufer31
MOVS	R0, #1
L__module_bufer31:
CMP	R0, #0
IT	EQ
BEQ	L_module_bufer12
LSL	R1, R12, #2
MOVW	R0, #lo_addr(_realNumbers_float+0)
MOVT	R0, #hi_addr(_realNumbers_float+0)
ADDS	R0, R0, R1
LDR	R0, [R0, #0]
STR	R0, [SP, #4]
L_module_bufer12:
;fft_sin.c,154 :: 		for(k=0;k<BUF_DEPTH/2;k++)//only 1/2 of buffer will be usable, other half just mirrored
ADD	R0, R12, #1
; k end address is: 48 (R12)
; k start address is: 0 (R0)
;fft_sin.c,158 :: 		}
SXTH	R12, R0
; k end address is: 0 (R0)
IT	AL
BAL	L_module_bufer9
L_module_bufer10:
;fft_sin.c,160 :: 		for(k=0;k<BUF_DEPTH/2;k++)
; k start address is: 48 (R12)
MOVW	R12, #0
SXTH	R12, R12
; k end address is: 48 (R12)
L_module_bufer13:
; k start address is: 48 (R12)
CMP	R12, #512
IT	GE
BGE	L_module_bufer14
;fft_sin.c,162 :: 		realNumbers_float[k]=(float)10*log10(realNumbers_float[k]/max);//you can replace "max" on 1, then the values of the array will be in relation to the unit of measurement of voltage (mV)
LSL	R1, R12, #2
MOVW	R0, #lo_addr(_realNumbers_float+0)
MOVT	R0, #hi_addr(_realNumbers_float+0)
ADDS	R0, R0, R1
STR	R0, [SP, #20]
LDR	R1, [R0, #0]
LDR	R2, [SP, #4]
MOV	R0, R1
BL	__Div_FP+0
BL	_log10+0
MOVW	R2, #0
MOVT	R2, #16672
BL	__Mul_FP+0
LDR	R1, [SP, #20]
STR	R0, [R1, #0]
;fft_sin.c,163 :: 		if(realNumbers_float[k]<-100)realNumbers_float[k]=-100;// low signal limitation, to improve clearness on PC view
LSL	R1, R12, #2
MOVW	R0, #lo_addr(_realNumbers_float+0)
MOVT	R0, #hi_addr(_realNumbers_float+0)
ADDS	R0, R0, R1
LDR	R2, [R0, #0]
MOVW	R0, #0
MOVT	R0, #49864
BL	__Compare_FP+0
MOVW	R0, #0
BLE	L__module_bufer32
MOVS	R0, #1
L__module_bufer32:
CMP	R0, #0
IT	EQ
BEQ	L_module_bufer16
LSL	R1, R12, #2
MOVW	R0, #lo_addr(_realNumbers_float+0)
MOVT	R0, #hi_addr(_realNumbers_float+0)
ADDS	R1, R0, R1
MOVW	R0, #0
MOVT	R0, #49864
STR	R0, [R1, #0]
L_module_bufer16:
;fft_sin.c,160 :: 		for(k=0;k<BUF_DEPTH/2;k++)
ADD	R0, R12, #1
; k end address is: 48 (R12)
; k start address is: 12 (R3)
SXTH	R3, R0
;fft_sin.c,164 :: 		}
SXTH	R12, R3
; k end address is: 12 (R3)
IT	AL
BAL	L_module_bufer13
L_module_bufer14:
;fft_sin.c,165 :: 		}
L_end_module_bufer:
LDR	LR, [SP, #0]
ADD	SP, SP, #32
BX	LR
; end of _module_bufer
_main:
;fft_sin.c,167 :: 		void main()//
;fft_sin.c,169 :: 		init_peripherals();
BL	_init_peripherals+0
;fft_sin.c,171 :: 		while(1)
L_main17:
;fft_sin.c,173 :: 		if(data_send_time==1)//
MOVW	R0, #lo_addr(_data_send_time+0)
MOVT	R0, #hi_addr(_data_send_time+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_main19
;fft_sin.c,175 :: 		from_adc_to_milivolts();
BL	_from_adc_to_milivolts+0
;fft_sin.c,176 :: 		FFT(1,10,realNumbers_float,imaginaryNumbers_float);// dir=1(forward transform),m=10(2^10=1024=BUF_DEPTH)
MOVW	R3, #lo_addr(_imaginaryNumbers_float+0)
MOVT	R3, #hi_addr(_imaginaryNumbers_float+0)
MOVW	R2, #lo_addr(_realNumbers_float+0)
MOVT	R2, #hi_addr(_realNumbers_float+0)
MOVS	R1, #10
SXTH	R1, R1
MOVS	R0, #1
SXTH	R0, R0
BL	_FFT+0
;fft_sin.c,177 :: 		module_bufer();// prepare data to view
BL	_module_bufer+0
;fft_sin.c,178 :: 		adc_buf_send();
BL	_adc_buf_send+0
;fft_sin.c,179 :: 		data_send_time=0;//start to collect new buffer
MOVS	R1, #0
MOVW	R0, #lo_addr(_data_send_time+0)
MOVT	R0, #hi_addr(_data_send_time+0)
STRB	R1, [R0, #0]
;fft_sin.c,180 :: 		}
L_main19:
;fft_sin.c,181 :: 		}
IT	AL
BAL	L_main17
;fft_sin.c,182 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
